--- src.orig/sys/sys/cdefs.h	2009-10-31 23:11:49.000000000 +0900
+++ src/sys/sys/cdefs.h	2009-10-31 23:26:14.000000000 +0900
@@ -240,6 +240,10 @@
 #define	__packed	_Pragma("packed 1")
 #define	__aligned(x)   	_Pragma("aligned " __STRING(x))
 #define	__section(x)   	_Pragma("section " ## x)
+#elif defined(_MSC_VER)
+#define	__packed	/* XXX ignore for now */
+#define	__aligned(x)	/* XXX ignore for now */
+#define	__section(x)	/* XXX ignore for now */
 #else
 #define	__packed	error: no __packed for this compiler
 #define	__aligned(x)	error: no __aligned for this compiler
